<?php
/**
 * 2024 Sedestral
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to contact@sedestral.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    Sedestral <contact@sedestral.com>
 * @copyright 2024 Sedestral
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of Sedestral
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

class SedestralAbstractCustomAdminController extends ModuleAdminController
{
    protected $domainTrans;

    public function __construct()
    {
        parent::__construct();
    }

    protected function transCompatibility($key)
    {
        // Depuis PrestaShop 1.7.6, on peut utiliser ->trans()
        // En dessous, on utilise ->l()
        if (version_compare(_PS_VERSION_, '1.7.6.0', '>=')) {
            return $this->trans($key, [], "Modules.sedestral.$this->domainTrans.Admin");
        }

        // Sur les anciennes versions, la méthode trans() n’existe pas,
        // on se contente de ->l() (qui ne prend en charge que la clé brute).
        // On ne peut pas gérer le domain ou les params ici.
        return $this->l($key);
    }
}
