<?php
/**
 * 2024 Sedestral
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to contact@sedestral.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    Sedestral <contact@sedestral.com>
 * @copyright 2024 Sedestral
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of Sedestral
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

class SedestralToken extends ObjectModel
{
    public $id_token;
    public $date_created;
    public $remote_id;
    public $local_id;
    public $api_token;
    public $token;

    public static $definition = [
        'table' => 'sedestral_token',
        'primary' => 'id_token',
        'fields' => [
            'date_created' => ['type' => self::TYPE_DATE, 'validate' => 'isDate'],
            'remote_id' => ['type' => self::TYPE_STRING],
            'local_id' => ['type' => self::TYPE_STRING],
            'api_token' => ['type' => self::TYPE_STRING],
            'token' => ['type' => self::TYPE_STRING],
        ],
    ];

    public static function getAllRemoteIds()
    {
        $rows = Db::getInstance()->executeS('SELECT remote_id FROM `' . _DB_PREFIX_ . self::$definition['table'] . '`');
        if (!$rows) {
            return [];
        }

        return array_map(
            function ($r) {
                return $r['remote_id'];
            },
            $rows);
    }
}
