<?php
/**
 * 2024 Sedestral
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to contact@sedestral.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    Sedestral <contact@sedestral.com>
 * @copyright 2024 Sedestral
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of Sedestral
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_1_0_3($module)
{
    // Create the new table
    $sql = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'sedestral_post_stats` (
        `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
        `post_id` INT UNSIGNED NOT NULL,
        `count` INT UNSIGNED NOT NULL DEFAULT 0,
        `timestamp` DATETIME NOT NULL,
        PRIMARY KEY (`id`),
        UNIQUE INDEX `post_date` (`post_id`, `timestamp`),
        INDEX `post_id` (`post_id`),
        INDEX `timestamp` (`timestamp`)
    ) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8';

    if (!Db::getInstance()->execute($sql)) {
        return false;
    }

    return true;
}
