{**
 * 2024 Sedestral
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to contact@sedestral.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    Sedestral <contact@sedestral.com>
 * @copyright 2024 Sedestral
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of Sedestral
*}
{if $articles|@count > 0}
    <div class="blog-container blog-container-home">
        <div style="width: 100%;" class="blog-content">
            <h2 class="h2 products-section-title text-uppercase">{$latest_posts|escape:'htmlall':'UTF-8'}</h2>
            <div class="blog-list">
                {foreach from=$articles item=post}
                    <article class="blog-post" itemscope itemtype="https://schema.org/BlogPosting">
                        <a href="{$post->total_route|escape:'htmlall':'UTF-8'}" class="blog-link">
                            <meta itemprop="url" content="{$post->total_route|escape:'htmlall':'UTF-8'}">

                            <div class="blog-img">
                                {if $post->cover_thumbnail_url}
                                    <meta itemprop="image" content="{$post->cover_thumbnail_url|escape:'html':'UTF-8'}">
                                    <img src="{$post->cover_thumbnail_url|escape:'htmlall':'UTF-8'}" alt="{$post->title|escape:'htmlall':'UTF-8'}" itemprop="image"/>
                                {/if}
                            </div>

                            <h2 itemprop="headline">{$post->title|escape:'html':'UTF-8'}</h2>
                            <p class="snippet" itemprop="description">{$post->snippet|truncate:150:'...'|escape:'html':'UTF-8'}</p>
                        </a>
                    </article>
                {/foreach}
            </div>
            <div class="blog-next-button">
                <ul>
                    <li>
                        <a href="{$blog_link|escape:'html':'UTF-8'}" class="btn btn-secondary">{$view_all_posts|escape:'html':'UTF-8'}</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
{/if}
